## -*- coding: utf-8; -*-
<%inherit file="tailbone:templates/products/view.mako" />
<%namespace name="corepos" file="tailbone_corepos:templates/products/view.mako" />
<%namespace name="woocommerce" file="tailbone_woocommerce:templates/products/view.mako" />

<%def name="object_helpers()">
  ${parent.object_helpers()}
  ${self.render_xref_helper()}

  <div class="object-helper">
    <h3>Internal Links</h3>
    <div class="object-helper-content">
      <ul>
        % if instance.corepos_id:
            <li>${h.link_to("View CORE-POS Product", url('corepos.products.view', id=instance.corepos_id))}</li>
        % endif
        % if instance.demo_shopfoo_product:
            <li>${h.link_to("View Shopfoo Product", url('shopfoo.products.view', uuid=instance.demo_shopfoo_product.uuid))}</li>
        % endif
        % if instance.woocommerce_cache_product:
            <li>${h.link_to("View WooCommerce Product", url('woocommerce.products.view', uuid=instance.woocommerce_cache_product.uuid))}</li>
        % endif
      </ul>
    </div>
  </div>
</%def>

<%def name="render_xref_helper()">
  <div class="object-helper">
    <h3>Cross-Reference</h3>
    <div class="object-helper-content buttons">
      ${corepos.render_xref_button()}
      ${woocommerce.render_xref_store_button()}
      ${woocommerce.render_xref_admin_button()}
    </div>
  </div>
</%def>

<%def name="extra_main_fields(form)">
  ${parent.extra_main_fields(form)}
  ${corepos.extra_main_fields_corepos(form)}
  ${woocommerce.extra_main_fields_woocommerce(form)}
</%def>


${parent.body()}
